%define name xmms-kjofol-skins
%define pluginname kint_xmms
%define version 1.2.0
%define plugversion 0.95
%define prefix %{_prefix}
%define release 1mdk

Name: %{name}
Summary: XMMS - Vis plugin to get kjofol skins + some kjofol skins
Version: %{version}
Release: %{release}
Source0: http://www.csse.monash.edu.au/~timf/%{pluginname}-%{plugversion}.tar.gz
Source1: kjofol-skins.tar.bz2
Patch0: kint_xmms-0.94.patch.bz2
Copyright: GPL
Group: Sound
URL: http://www.dgs.monash.edu.au/~timf/xmms/
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Requires: xmms >= 1.2.0 unzip
BuildRequires: libxmms-devel XFree86-devel libpng-devel zlib-devel

%description
In this package you can find the Visualization plugin that enable K-Jofol skins
support, and several cute K-Jofol skins.

%prep
%setup -q -a 1 -n xmms-kj
%patch0 -p1

%build
make vislib

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/xmms/Visualization
mkdir -p $RPM_BUILD_ROOT%{_datadir}/xmms/kjofol
make LIBDIR=$RPM_BUILD_ROOT%{_libdir}/xmms/Visualization install-vislib
install -m644 default.zip kjofol/* $RPM_BUILD_ROOT%{_datadir}/xmms/kjofol

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING readme.txt
%{_libdir}/xmms/Visualization/libkjofol*
%{_datadir}/xmms/kjofol/

%changelog
* Fri Mar  9 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.0-1mdk
- plugin version 0.95

* Tue Nov 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-12mdk
- recompile with xmms following new lib policy

* Fri Aug 25 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-11mdk
- added full path location for plugin to ease further handle of package

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.1-10mdk
- automatically added BuildRequires

* Tue Jul 18 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-9mdk
- BM
- macros
- even more cool kjofol skins

* Mon May 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-8mdk
- Requires unzip (to uncompress the skins!)

* Tue May 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.1-7mdk
- BuildRequires: xmms-devel

* Wed Apr  5 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-6mdk
- first release as a separate SRPM
- added plugin documentation
